> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getcargo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List libraries

> List workspace libraries



## OpenAPI

````yaml https://api.getcargo.io/openapi.json get /content/libraries/list
openapi: 3.1.0
info:
  title: Cargo API
  version: 1.0.0
  description: Cargo Platform API v1
servers:
  - url: https://api.getcargo.io/v1
    description: Cargo API
security:
  - bearerAuth: []
paths:
  /content/libraries/list:
    get:
      tags:
        - Content - Libraries
      summary: List libraries
      description: List workspace libraries
      parameters:
        - in: query
          name: connectorUuid
          schema:
            title: Connector UUID
            description: Filter libraries by connector identifier.
            type: string
            format: uuid
            pattern: >-
              ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-4[0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12})$
          description: Filter libraries by connector identifier.
        - in: query
          name: kind
          schema:
            title: Kind
            description: Filter libraries by kind.
            type: string
            enum:
              - connector
              - native
          description: Filter libraries by kind.
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  libraries:
                    type: array
                    items:
                      allOf:
                        - type: object
                          properties:
                            uuid:
                              type: string
                            workspaceUuid:
                              type: string
                            name:
                              type: string
                            extractorSlug:
                              type: string
                            config:
                              type: object
                              propertyNames:
                                type: string
                              additionalProperties: {}
                            folderUuid:
                              anyOf:
                                - type: string
                                - type: 'null'
                            lastSyncedAt:
                              anyOf:
                                - type: string
                                - type: 'null'
                            createdAt:
                              type: string
                            updatedAt:
                              type: string
                            deletedAt:
                              anyOf:
                                - type: string
                                - type: 'null'
                          required:
                            - uuid
                            - workspaceUuid
                            - name
                            - extractorSlug
                            - config
                            - folderUuid
                            - lastSyncedAt
                            - createdAt
                            - updatedAt
                            - deletedAt
                          additionalProperties: false
                        - anyOf:
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: connector
                                connectorUuid:
                                  type: string
                              required:
                                - kind
                                - connectorUuid
                              additionalProperties: false
                            - type: object
                              properties:
                                kind:
                                  type: string
                                  const: native
                              required:
                                - kind
                              additionalProperties: false
                    title: Libraries
                    description: List of libraries.
                required:
                  - libraries
                additionalProperties: false
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '500':
          description: Internal server error
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````